package pl.edu.pg.eti.kask.rpg.export.view;

import pl.edu.pg.eti.kask.rpg.export.service.ExportService;
import pl.edu.pg.eti.kask.rpg.view.View;

import java.nio.file.Path;
import java.util.Scanner;

/**
 * View for exporting selected data set to the selected file.
 */
public class ExportData implements View {

    /**
     * Service for exporting data.
     */
    private final ExportService service;

    /**
     * @param service service for exporting data
     */
    public ExportData(ExportService service) {
        this.service = service;
    }

    @Override
    public void display() {
        Scanner scanner = new Scanner(System.in);

        System.out.print("set: ");
        String setName = scanner.next();
        System.out.print("path: ");
        String path = scanner.next();

        if ("skills".equals(setName)) {
            service.exportAllSkills(Path.of(path));
            System.out.println("exporting data");
        } else {
            System.out.println("wrong set");
        }

    }

}
