package pl.edu.pg.eti.kask.rpg.export.view;

import pl.edu.pg.eti.kask.rpg.export.service.ImportService;
import pl.edu.pg.eti.kask.rpg.view.View;

import java.nio.file.Path;
import java.util.Scanner;

/**
 * View for importing selected data set to the selected file.
 */
public class ImportData implements View {

    /**
     * Service for importing data.
     */
    private final ImportService service;

    /**
     * @param service service for importing data
     */
    public ImportData(ImportService service) {
        this.service = service;
    }

    @Override
    public void display() {
        Scanner scanner = new Scanner(System.in);

        System.out.print("set: ");
        String setName = scanner.next();
        System.out.print("path: ");
        String path = scanner.next();

        if ("skills".equals(setName)) {
            service.importAllSkills(Path.of(path));
            System.out.println("importing data");
        } else {
            System.out.println("wrong set");
        }

    }

}
